<?php
session_start();
if (isset($_SESSION['user_login_status']) AND $_SESSION['user_login_status'] == 1) {
    require_once("../config/db.php");
}else{
    header("Location: http://www.evenzy.com");
    die();
}
if(isset($_POST['submit'])) 
{
    $resultat = "";

    // Netegem els valors introduïts
    $esdevenimentNom = addslashes(htmlspecialchars($_POST["esdevenimentNom"]));
    $esdevenimentData = addslashes(htmlspecialchars($_POST["esdevenimentData"]));
    $esdevenimentLloc = addslashes(htmlspecialchars($_POST["esdevenimentLloc"]));
    $esdevenimentDescripcio = addslashes(htmlspecialchars($_POST["esdevenimentDescripcio"]));

    if (empty($esdevenimentNom)) {
        $resultat="<div class=\"alert alert-danger\">És necessari especificar un nom.</div";
    }else{
        $mysqli = new mysqli(DB_HOST, DB_USER, DB_PASS, DB_NAME);
        if ($mysqli->connect_error) {
            $resultat="<div class=\"alert alert-danger\">No s'ha pogut connectar amb la base de dades (Error ".$mysqli->connect_errno.")</div>";
        }else{

            $mysqli->set_charset("utf8");
            $sql = "INSERT INTO esdeveniments (usuari_id, esdeveniment_nom, esdeveniment_data, esdeveniment_lloc, esdeveniment_descripcio) VALUES('" . $_SESSION['user_id'] . "', '" . $esdevenimentNom . "', '" . $esdevenimentData . "', '" . $esdevenimentLloc . "', '" . $esdevenimentDescripcio . "');";
                    $result=$mysqli->query($sql);
                    if ($result) {
                        header("Location: index.php");
                    } else {
                        $resultat="<div class=\"alert alert-danger\">No s'ha pogut crear l'esdeveniment. Intenta-ho més tard.</div>";
                    }
        }
    }
}
?>
<!DOCTYPE html>
<html lang="en">

<head>

    <?php include_once "cap.inc.php"; ?>

</head>

<body>

    <div id="wrapper">

        <?php include_once "menu.inc.php"; ?>

        <div id="page-wrapper">
            <div class="row">
                <div class="col-lg-12">
                    <h1 class="page-header">Perfil d'usuari</h1>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-12">
                    <div class="panel panel-default">
                        <div class="panel-body">
                            <div class="row">
                                <div class="col-lg-12">
                                    <form role="form" method="POST" action="alta-esdeveniment.php" enctype="multipart/form-data" onsubmit="return postForm()">
                                        <div class="form-group">
                                            <label for="esdevenimentNom">Nom</label>
                                            <input type="text" class="form-control" id="esdevenimentNom" name="esdevenimentNom" required>
                                        </div>
                                        <div class="form-group">
                                            <label for="esdevenimentNom">Cognoms</label>
                                            <input type="text" class="form-control" id="esdevenimentNom" name="esdevenimentNom" required>
                                        </div>
                                        <div class="form-group">
                                            <label for="esdevenimentNom">Correu</label>
                                            <input type="text" class="form-control" id="esdevenimentNom" name="esdevenimentNom" required>
                                        </div>
                                        <div class="form-group">
                                            <label for="esdevenimentNom">Contrasenya</label>
                                            <input type="text" class="form-control" id="esdevenimentNom" name="esdevenimentNom" required>
                                        </div>
                                        <div class="form-group">
                                            <label for="esdevenimentNom">Repetir contrasenya</label>
                                            <input type="text" class="form-control" id="esdevenimentNom" name="esdevenimentNom" required>
                                        </div>
                                        <input type="submit" name="submit" class="btn btn btn-primary" value="Modificar dades" />
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- /#page-wrapper -->

    </div>
    <!-- /#wrapper -->

    <?php include_once "peu.inc.php"; ?>
    <script>
        $(document).ready(function() {
            $('#summernote').summernote({
                height: 250,
                minHeight: 250,
                maxHeight: null,
                focus: false,
                lang: 'ca-ES',
                toolbar: [
                    ['style', ['bold', 'italic', 'underline', 'clear']],
                    ['para', ['ul', 'ol', 'paragraph']],
                ]
            });

        });
        var postForm = function() {
            var content = $('textarea[name="esdevenimentDescripcio"]').html($('#summernote').summernote('code'));
        }
    </script>

</body>

</html>
