<?php
session_start();

require_once("../config/db.php");

$resultat = "";

// Netegem els valors introduïts
$inputUsernameEmail = addslashes(htmlspecialchars($_POST["inputUsernameEmail"]));
$inputPassword = addslashes(htmlspecialchars($_POST["inputPassword"]));

// Validem les dades
if (empty($inputUsernameEmail) || empty($inputPassword)) {
    $resultat="<br><div class=\"alert alert-danger\">És necessari omplir tots els camps.</div>";
}else{
    $mysqli = new mysqli(DB_HOST, DB_USER, DB_PASS, DB_NAME);
    if ($mysqli->connect_error) {
        $resultat="<br><div class=\"alert alert-danger\">No s'ha pogut connectar amb la base de dades (Error ".$mysqli->connect_errno.")</div>";
    }else{
        $mysqli->set_charset("utf8");
        $sql = "SELECT usuari_id, usuari_nom, usuari_email, usuari_password_hash FROM usuaris WHERE usuari_email = '" . $inputUsernameEmail . "';";

        $result=$mysqli->query($sql);
        $row = $result->fetch_assoc();
        if ($result) {
            if (password_verify($inputPassword, $row["usuari_password_hash"])) {

                $_SESSION['user_id'] = $row["usuari_id"];
                $_SESSION['user_name'] = $row["usuari_nom"];
                $_SESSION['user_email'] = $row["usuari_email"];
                $_SESSION['user_login_status'] = 1;
                $resultat="<script>window.location = \"admin/\";</script>";
            }else{
                $resultat="<br><div class=\"alert alert-danger\">Correu o contrasenya incorrectes.</div>";
            }
        } else {
            $resultat="<br><div class=\"alert alert-danger\">L'alta de convidat ha fallat. Intenta-ho més tard.</div>";
        }
    }
}

echo $resultat;