<?php
session_start();
require_once("../config/db.php");

$resultat = "";

// Netegem els valors introduïts
$convidatNom = addslashes(htmlspecialchars($_POST["convidatNom"]));
$convidatCognoms = addslashes(htmlspecialchars($_POST["convidatCognoms"]));
$convidatCorreu = addslashes(htmlspecialchars($_POST["convidatCorreu"]));

// Validem les dades
if (empty($convidatNom) || empty($convidatCognoms) || empty($convidatCorreu)) {
	$resultat="<div class=\"alert alert-danger\">És necessari omplir tots els camps.</div";
}elseif (!filter_var($convidatCorreu, FILTER_VALIDATE_EMAIL)) {
	$resultat="<div class=\"alert alert-danger\">El correu especificat no està ben escrit.</div>";
}else{
	$mysqli = new mysqli(DB_HOST, DB_USER, DB_PASS, DB_NAME);
	if ($mysqli->connect_error) {
		$resultat="<div class=\"alert alert-danger\">No s'ha pogut connectar amb la base de dades (Error ".$mysqli->connect_errno.")</div>";
	}else{
		$mysqli->set_charset("utf8");
		$sql = "INSERT INTO convidats (usuari_id, convidat_nom, convidat_cognoms, convidat_email) VALUES('" . $_SESSION['user_id'] . "', '" . $convidatNom . "', '" . $convidatCognoms . "', '" . $convidatCorreu . "');";
                $nou_convidat=$mysqli->query($sql);
                if ($nou_convidat) {
                	$resultat="<div class=\"alert alert-success\">El convidat amb correu ".$convidatCorreu." s'ha donat d'alta satisfactòriament.</div>";
                } else {
                	$resultat="<div class=\"alert alert-danger\">L'alta de convidat ha fallat. Intenta-ho més tard.</div>";
                }
	}
}

echo $resultat;
?>