<?php
session_start();
if (isset($_SESSION['user_login_status']) AND $_SESSION['user_login_status'] == 1) {
    require_once("../config/db.php");
}else{
    header("Location: http://www.evenzy.com");
    die();
}

if(isset($_GET['elimina'])) {
    $convidat = $_GET['elimina'];
    $mysqli = new mysqli(DB_HOST, DB_USER, DB_PASS, DB_NAME);
    $mysqli->set_charset("utf8");
    $sql = "DELETE FROM convidats WHERE convidat_id = $convidat";
    $result=$mysqli->query($sql);
    if ($result){
        header('Location: convidats.php');
    }
}

?>
<!DOCTYPE html>
<html lang="en">

<head>

    <?php include_once "cap.inc.php"; ?>

</head>

<body>

    <div id="wrapper">

        <?php include_once "menu.inc.php"; ?>

        <div id="page-wrapper">
            <div class="row">
                <div class="col-lg-12">
                    <h1 class="page-header">Convidats 
                        <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#modalAfegirConvidat"><i class="fa fa-plus fa-fw"></i> Afegir un convidat</button>
                    </h1>
                    <div class="resposta">
                        <?php
                            if(isset($_GET['ok'])) {
                                echo"<div class=\"alert alert-success\">El convidat s'ha donat d'alta satisfactòriament.</div>";
                            }
                        ?>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-12">
                    <?php
                        $mysqli = new mysqli(DB_HOST, DB_USER, DB_PASS, DB_NAME);
                        $mysqli->set_charset("utf8");
                        $sql = "SELECT convidat_id, convidat_nom, convidat_cognoms, convidat_email FROM convidats WHERE usuari_id=".$_SESSION['user_id'];
                        $result=$mysqli->query($sql);

                        if ($result->num_rows > 0) { ?>
                            <div class="table-responsive">
                                <table class="table table-striped">
                                    <thead>
                                        <tr>
                                            <th>Nom</th>
                                            <th>Cognoms</th>
                                            <th>Correu</th>
                                            <th>Opcions</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                        while($row = $result->fetch_assoc()) { ?>
                                            <tr>
                                                <td><?=$row["convidat_nom"]?></td>
                                                <td><?=$row["convidat_cognoms"]?></td>
                                                <td><?=$row["convidat_email"]?></td>
                                                <td>
                                                    <button type="button" class="btn btn-default btn-xs modifica" data-convidat="<?=$row["convidat_id"]?>"><i class="fa fa-edit"></i> Modificar dades</button>
                                                    <button type="button" class="btn btn-danger btn-xs elimina" data-convidat="<?=$row["convidat_id"]?>"><i class="fa fa-times"></i> Eliminar</button>
                                                </td>
                                            </tr>
                                        <?php
                                        } ?>
                                    </tbody>
                                </table>
                            </div>
                        <?php                    
                        } else {
                            echo "<div class=\"alert alert-warning\">Encara no s'ha afegit cap convidat.</div>";
                        }
                        $mysqli->close();

                    ?>
                                           
                    <!-- /.panel -->
                </div>
                
            </div>
        </div>
        <!-- /#page-wrapper -->

    </div>
    <!-- /#wrapper -->

    <div class="modal fade" id="modalAfegirConvidat" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span></button>
                <h3 class="modal-title" id="lineModalLabel">Afegir un convidat</h3>
            </div>
            <div class="modal-body">
                
                <!-- content goes here -->
                <form id="convidatAlta" name="convidatAlta">
                  <div class="form-group">
                    <label for="convidatNom">Nom</label>
                    <input type="text" class="form-control" id="convidatNom" name="convidatNom" placeholder="" required>
                  </div>
                  <div class="form-group">
                    <label for="convidatCognoms">Cognoms</label>
                    <input type="text" class="form-control" id="convidatCognoms" name="convidatCognoms" placeholder="" required>
                  </div>
                  <div class="form-group">
                    <label for="convidatCorreu">Correu</label>
                    <input type="email" class="form-control" id="convidatCorreu" name="convidatCorreu" placeholder="" required>
                  </div>
                  <button type="submit" class="btn btn-primary">Afegir convidat</button>
                </form>

            </div>
        </div>
      </div>
    </div>

    <div class="modal fade" id="modalModificarConvidat" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span></button>
                <h3 class="modal-title" id="lineModalLabel">Modificació de les dades</h3>
            </div>
            <div class="modal-body">
                
                <!-- content goes here -->
                <form id="convidatAlta" name="convidatAlta">
                  <div class="form-group">
                    <label for="convidatNom">Nom</label>
                    <input type="text" class="form-control" id="convidatNom" name="convidatNom" placeholder="" required>
                  </div>
                  <div class="form-group">
                    <label for="convidatCognoms">Cognoms</label>
                    <input type="text" class="form-control" id="convidatCognoms" name="convidatCognoms" placeholder="" required>
                  </div>
                  <div class="form-group">
                    <label for="convidatCorreu">Correu</label>
                    <input type="email" class="form-control" id="convidatCorreu" name="convidatCorreu" placeholder="" required>
                  </div>
                  <button type="submit" class="btn btn-primary">Modificar les dades</button>
                </form>

            </div>
        </div>
      </div>
    </div>

    <?php include_once "peu.inc.php"; ?>
    <script>
    $(document).ready(function(){
        $("#convidatAlta").submit(function(e){
            $.ajax({
                   type: "POST",
                   url: "alta-convidat.php",
                   data: $("#convidatAlta").serialize(),
                   success: function(data)
                   {
                       window.location = "convidats.php?ok";
                   }
                 });
            e.preventDefault(); 
        });
        $('.elimina').click(function(){
            var convidat=$(this).attr("data-convidat");
            bootbox.dialog({
                message: "Segur que vols eliminar el convidat sel·leccionat?",
                title: "Atenció",
                buttons: {
                    main: {
                        label: "Cancelar",
                        className: "btn-default",
                        callback: function() {
                            bootbox.hideAll();
                        }
                    },
                    danger: {
                        label: "Eliminar",
                        className: "btn-danger",
                        callback: function() {
                            window.location = "convidats.php?elimina="+convidat;
                        }
                    }                    
                }
            });
        });
        $('.modifica').click(function(){
            var convidat=$(this).attr("data-convidat");
            $('#modalModificarConvidat .modal-body').load('dades-convidat.php?convidat='+convidat);
            $('#modalModificarConvidat').modal('show'); 
        });
    });
    </script>

</body>

</html>
