<?php
session_start();
if (isset($_SESSION['user_login_status']) AND $_SESSION['user_login_status'] == 1) {
    require_once("../config/db.php");
}else{
    header("Location: http://www.evenzy.com");
    die();
}

if($_SERVER['REQUEST_METHOD'] == 'POST')
{   
    $checkBox = implode(',', (array)$_POST['Convidats']);
    if(empty($checkBox)){
        $checkBox="";
    }
    $id = addslashes(htmlspecialchars($_GET["id"]));
    $mysqli = new mysqli(DB_HOST, DB_USER, DB_PASS, DB_NAME);
    $mysqli->set_charset("utf8");
    $sql = "UPDATE esdeveniments SET convidats='$checkBox' WHERE esdeveniment_id=$id";
    $result=$mysqli->query($sql);
}

?>
<!DOCTYPE html>
<html lang="en">
<head>

    <?php include_once "cap.inc.php"; ?>

</head>
<body>

    <div id="wrapper">

        <?php include_once "menu.inc.php"; ?>

        <div id="page-wrapper">
            <div class="row">
                <?php
                    $id = addslashes(htmlspecialchars($_GET["id"]));
                    $mysqli = new mysqli(DB_HOST, DB_USER, DB_PASS, DB_NAME);
                    $mysqli->set_charset("utf8");
                    $sql = "SELECT esdeveniment_id, esdeveniment_nom, esdeveniment_data, esdeveniment_lloc, esdeveniment_descripcio, convidats FROM esdeveniments WHERE esdeveniment_id=$id";
                    $result=$mysqli->query($sql);

                    if ($result->num_rows > 0) { 
                        while($row = $result->fetch_assoc()) { 
                            $convidats = array_map('trim', explode(",", $row["convidats"])); ?>
                            <div class="col-lg-12">
                                <h1 class="page-header"><?=$row["esdeveniment_nom"]?>
                                <a href="#" class="btn btn-danger pull-right elimina" data-esdeveniment="<?=$row["esdeveniment_id"]?>">Eliminar esdeveniment</a>
                                </h1>
                            </div>
                            <div class="col-lg-6">
                                <p><strong>Data: </strong><?=$row["esdeveniment_data"]?></p>
                                <p><strong>Lloc: </strong><?=$row["esdeveniment_lloc"]?></p>
                                <br>
                                <div class="well well-sm">
                                    <div class="row">
                                        <div class="col-lg-12">
                                            <p><?=htmlspecialchars_decode($row["esdeveniment_descripcio"])?></p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        <?php
                        }   
                    } else {
                        echo "<br><div class=\"col-lg-12\"><div class=\"alert alert-danger\">No s'ha trobat l'esdeveniment.</div></div>";
                    }
                    $mysqli->close();
                ?>
                
            </div>
            <div class="row">
                <div class="col-lg-12">
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            <h3 class="panel-title pull-left">Llista de convidats</h3>
                            <a href="javascript:document.getElementById('formConvidats').submit();" class="btn btn-primary pull-right">Guardar convidats</a>
                            <div class="clearfix"></div>
                        </div>
                        <div class="panel-body">
                            <?php
                                $mysqli = new mysqli(DB_HOST, DB_USER, DB_PASS, DB_NAME);
                                $mysqli->set_charset("utf8");
                                $sql = "SELECT convidat_id, convidat_nom, convidat_cognoms, convidat_email FROM convidats WHERE usuari_id=".$_SESSION['user_id'];
                                $result=$mysqli->query($sql);

                                if ($result->num_rows > 0) { ?>
                                    <form method="post" id="formConvidats" action="esdeveniment.php?id=<?=$id?>">
                                        <div class="table-responsive">
                                            <table class="table table-striped">
                                                <thead>
                                                    <tr>
                                                        <th>Actiu</th>
                                                        <th>Nom</th>
                                                        <th>Cognoms</th>
                                                        <th>Correu</th>
                                                        <th>Assistència</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <?php
                                                    while($row = $result->fetch_assoc()) { ?>
                                                        <tr>
                                                            <td class="bs-checkbox"><input type="checkbox" name="Convidats[]" value="<?=$row["convidat_id"]?>" <?=(in_array($row["convidat_id"], $convidats)?'checked="checked"':NULL)?>></td>
                                                            <td><?=$row["convidat_nom"]?></td>
                                                            <td><?=$row["convidat_cognoms"]?></td>
                                                            <td><?=$row["convidat_email"]?></td>
                                                            <td><span class="label label-default">Pendent</span></td>
                                                        </tr>
                                                    <?php
                                                    } ?>
                                                </tbody>
                                            </table>
                                        </div>      
                                    </form>
                                <?php                    
                                } else {
                                    echo "<div class=\"alert alert-warning\">Encara no s'ha afegit cap convidat.</div>";
                                }
                                $mysqli->close();

                            ?>
                            
                        </div>
                    </div>
                </div>
                
            </div>
        </div>
    </div>

    <?php include_once "peu.inc.php"; ?>
    <script>
    $(document).ready(function(){
        $('.elimina').click(function(){
            var esdeveniment=$(this).attr("data-esdeveniment");
            bootbox.dialog({
                message: "Segur que vols eliminar l'esdeveniment sel·leccionat?",
                title: "Atenció",
                buttons: {
                    main: {
                        label: "Cancelar",
                        className: "btn-default",
                        callback: function() {
                            bootbox.hideAll();
                        }
                    },
                    danger: {
                        label: "Eliminar",
                        className: "btn-danger",
                        callback: function() {
                            window.location = "elimina-esdeveniment.php?id="+esdeveniment;
                        }
                    }                    
                }
            });
        });
    });
    </script>

</body>

</html>
