<?php
session_start();
if (isset($_SESSION['user_login_status']) AND $_SESSION['user_login_status'] == 1) {
    require_once("../config/db.php");
}else{
    header("Location: http://www.evenzy.com");
    die();
}
?>
<!DOCTYPE html>
<html lang="en">

<head>

    <?php include_once "cap.inc.php"; ?>

</head>

<body>

    <div id="wrapper">

        <?php include_once "menu.inc.php"; ?>

        <div id="page-wrapper">
            <div class="row">
                <div class="col-lg-12">
                    <h1 class="page-header">Esdeveniments <a href="alta-esdeveniment.php" class="btn btn-primary"><i class="fa fa-plus fa-fw"></i> Afegir esdeveniment</a></h1>
                </div>
            </div>
            <div class="row">
                <?php
                        $mysqli = new mysqli(DB_HOST, DB_USER, DB_PASS, DB_NAME);
                        $mysqli->set_charset("utf8");
                        $sql = "SELECT esdeveniment_id, esdeveniment_nom, esdeveniment_data FROM esdeveniments WHERE usuari_id=".$_SESSION['user_id'];
                        $result=$mysqli->query($sql);

                        if ($result->num_rows > 0) { 
                            while($row = $result->fetch_assoc()) { ?>
                                <div class="col-lg-4 col-md-6">
                                    <div class="panel panel-default">
                                        <div class="panel-heading">
                                            <div class="row">
                                                <div class="col-xs-3">
                                                    <i class="fa fa-calendar fa-5x" style="color:#ccc"></i>
                                                </div>
                                                <div class="col-xs-9 text-right">
                                                    <h4><?=$row["esdeveniment_nom"]?></h4>
                                                    <div><?=$row["esdeveniment_data"]?></div>
                                                </div>
                                            </div>
                                        </div>
                                        <a href="esdeveniment.php?id=<?=$row["esdeveniment_id"]?>">
                                            <div class="panel-footer">
                                                <span class="pull-left">Veure detalls</span>
                                                <span class="pull-right"><i class="fa fa-arrow-circle-right"></i></span>
                                                <div class="clearfix"></div>
                                            </div>
                                        </a>
                                    </div>
                                </div>
                            <?php
                            }   
                        } else {
                            echo "<div class=\"alert alert-warning\">Encara no s'ha creat cap esdeveniment.</div>";
                        }
                        $mysqli->close();
                    ?>
            </div>
        </div>
        <!-- /#page-wrapper -->

    </div>
    <!-- /#wrapper -->

    <script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js"></script>
    <script>window.jQuery || document.write('<script src="../js/vendor/jquery-1.11.2.min.js"><\/script>')</script>

    <script src="../js/vendor/bootstrap.min.js"></script>

    <!-- Metis Menu Plugin JavaScript -->
    <script src="js/metisMenu.min.js"></script>

    <!-- Custom Theme JavaScript -->
    <script src="js/sb-admin-2.js"></script>

</body>

</html>
