<?php
//require_once("config/db.php");
//require_once("config/Login.php");
//$login = new Login();

if (isset($login)) {
    if ($login->errors) {
        foreach ($login->errors as $error) {
            echo $error;
        }
    }
    if ($login->messages) {
        foreach ($login->messages as $message) {
            echo $message;
        }
    }
}

?>
<!doctype html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7" lang=""> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8" lang=""> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9" lang=""> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang=""> <!--<![endif]-->
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
        <title></title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="apple-touch-icon" href="apple-touch-icon.png">

        <link href='https://fonts.googleapis.com/css?family=Signika:300,400,700' rel='stylesheet' type='text/css'>
        <link rel="stylesheet" href="css/bootstrap.min.css">
        <link rel="stylesheet" href="css/bootstrap-theme.min.css">
        <link rel="stylesheet" href="css/main.css">

        <!--[if lt IE 9]>
            <script src="js/vendor/html5-3.6-respond-1.4.2.min.js"></script>
        <![endif]-->
    </head>
    <body class="portada">
                <div class="main">
                    <div class="col-xs-12 col-sm-6 col-md-6 login">
                        <div class="row barlogin">
                            <div class="col-xs-12 text-right">
                                <a class="btn modal-toggle" href="#signin" data-toggle="modal" data-target=".bs-modal-sm">Inicia sessió</a>
                                <a href="#signup" data-toggle="modal" data-target=".bs-modal-sm" class="btn btn-registrate modal-toggle">Registra't</a>
                            </div>
                        </div>
                        <a href="http://www.evenzy.com" class="logo">
                            <img src="img/logo.png" class="img-responsive center-block">
                        </a>
                        <canvas id="canvas"></canvas>
                        <img src="img/welcome.png" class="img-responsive center-block envelope" style="max-width:350px">
                    </div>
                    <div class="col-xs-12 col-sm-6 col-md-6">

                        <div class="row">
                            <div class="col-lg-12 text-center">
                                <br>
                                <h1>Gestionar esdeveniments mai ha sigut tant fàcil!</h1>
                                <h4>Crea invitacions de manera automàtica per a tots els teus contactes i controla'n la seva assistència</h4>
                                <br>
                                <hr>
                                <br>
                            </div>
                            <div class="col-lg-4">
                                <img src="img/calendari.png" class="img-responsive center-block">
                                <h3>Crea esdeveniments</h3>
                            </div>
                            <div class="col-lg-4">
                                <img src="img/usuari.png" class="img-responsive center-block">
                                <h3>Convida</h3>
                            </div>
                            <div class="col-lg-4">
                                <img src="img/check.png" class="img-responsive center-block">
                                <h3>Controla l'assistència</h3>
                            </div>
                        </div>
                        <br>
                        <div class="row crearevent">
                            <div class="col-lg-6 col-lg-offset-3">
                                <br>
                                <h2 class="text-center">Prova-ho, és gratuït!</h2>
                                <form accept-charset="UTF-8" role="form">
                                    <fieldset>
                                        <div class="form-group">
                                            <input class="form-control" placeholder="Nom de l'esdeveniment" name="nom" type="text">
                                        </div>
                                        <div class="form-group">
                                            <input class="form-control" placeholder="El teu correu" name="email" type="email">
                                        </div>
                                        <input class="btn btn-lg btn-primary btn-block" type="button" value="Crear esdeveniment">
                                    </fieldset>
                                </form>
                                <br>
                                <div class="alert alert-warning">Aquesta funcionalitat no està implementada degut a que el servidor de proves té desactivat l'enviament de correus.</div>
                            </div>
                        </div>
                    </div>
                    
                </div>

                <div class="modal fade bs-modal-sm" id="myModal" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true">
                  <div class="modal-dialog modal-md">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span></button>
                            <img src="img/logo_blau.png" class="img-responsive center-block">
                        </div>
                        <br>
                        <div class="bs-example bs-example-tabs">
                            <ul id="myTab" class="nav nav-tabs">
                              <li class="active"><a href="#signin" data-toggle="tab">Inici de sessió</a></li>
                              <li class=""><a href="#signup" data-toggle="tab">Registre</a></li>
                            </ul>
                        </div>
                      <div class="modal-body">
                        <div id="myTabContent" class="tab-content">
                        <div class="tab-pane fade active in" id="signin">
                            <form role="form" id="formlogin" name="formlogin">
                                <div class="form-group">
                                    <label for="inputUsernameEmail">Correu</label>
                                    <input type="text" class="form-control" id="inputUsernameEmail" name="inputUsernameEmail" required>
                                </div>
                                <div class="form-group">
                                    <label for="inputPassword">Contrasenya</label>
                                    <input type="password" class="form-control" id="inputPassword" name="inputPassword" autocomplete="off" required>
                                </div>
                                <button type="submit" name="login" class="btn btn-lg btn-primary btn-block">
                                    Accedir
                                </button>
                            </form>
                            <div id="missatgelogin"></div>
                        </div>
                        <div class="tab-pane fade" id="signup">
                            <form role="form" name="formregistre" id="formregistre">
                                <div class="form-group">
                                    <label for="registreNom">Nom</label>
                                    <input type="text" class="form-control" id="registreNom" name="registreNom" required>
                                </div>
                                <div class="form-group">
                                    <label for="registreCognoms">Cognoms</label>
                                    <input type="text" class="form-control" id="registreCognoms" name="registreCognoms" required>
                                </div>
                                <div class="form-group">
                                    <label for="registreEmail">Email</label>
                                    <input type="email" class="form-control" id="registreEmail" name="registreEmail" required>
                                </div>
                                <div class="form-group">
                                    <label for="registrePwd">Contrasenya (mínim 6 caràcters)</label>
                                    <input type="password" class="form-control" id="registrePwd" name="registrePwd" pattern=".{6,}" required autocomplete="off">
                                </div>
                                <div class="form-group">
                                    <label for="registreRepPwd">Repeteix la contrasenya</label>
                                    <input type="password" class="form-control" id="registreRepPwd" name="registreRepPwd" pattern=".{6,}" required autocomplete="off">
                                </div>
                                <button type="submit" name="registre" class="btn btn-lg btn-primary btn-block">
                                    Registre
                                </button>
                            </form>
                            <div id="missatgeregistre"></div>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>

        <script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js"></script>
        <script>window.jQuery || document.write('<script src="js/vendor/jquery-1.11.2.min.js"><\/script>')</script>

        <script src="js/vendor/bootstrap.min.js"></script>
        <script src="js/realshadow-min.js"></script>
        <script src="js/main.js"></script>
        <script>
        $(document).ready(function(){
            $('.modal-toggle').click(function (e) {
                var tab = e.target.hash;
                $('li > a[href="' + tab + '"]').tab("show");
            });
            $("#formlogin").submit(function(e){
                $.ajax({
                       type: "POST",
                       url: "config/login.php",
                       data: $("#formlogin").serialize(), // Adjuntar los campos del formulario enviado.
                       success: function(data)
                       {    
                            $('#missatgelogin').html(data);
                           //window.location = "convidats.php?ok";
                       }
                     });
                e.preventDefault(); //STOP default action
            });
            $("#formregistre").submit(function(e){
                $.ajax({
                       type: "POST",
                       url: "config/registre.php",
                       data: $("#formregistre").serialize(), // Adjuntar los campos del formulario enviado.
                       success: function(data)
                       {    
                            $('#missatgeregistre').html(data);
                           //window.location = "convidats.php?ok";
                       }
                     });
                e.preventDefault(); //STOP default action
            });
        });
        </script>
    </body>
</html>
